Schedule Social Post
curl --request POST \
--url https://api.birdeye.com/resources/v1/social/{accountNumber}/schedule \
--header 'Content-Type: application/json' \
--data '
{
"text": "Check out the latest collection",
"socialSite": "GOOGLEMYBUSINESS",
"subBusinessNumbers": [
123456780,
123456781
],
"scheduleTimestamp": 1677759962528,
"media": [
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
},
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
}
],
"additionalMetaData": {
"callToActionType": "LEARN_MORE",
"callToActionUrl": "https://app.birdeye.com/"
}
}
'import requests
url = "https://api.birdeye.com/resources/v1/social/{accountNumber}/schedule"
payload = {
"text": "Check out the latest collection",
"socialSite": "GOOGLEMYBUSINESS",
"subBusinessNumbers": [123456780, 123456781],
"scheduleTimestamp": 1677759962528,
"media": [
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
},
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
}
],
"additionalMetaData": {
"callToActionType": "LEARN_MORE",
"callToActionUrl": "https://app.birdeye.com/"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Check out the latest collection',
socialSite: 'GOOGLEMYBUSINESS',
subBusinessNumbers: [123456780, 123456781],
scheduleTimestamp: 1677759962528,
media: [
{
type: 'IMAGE',
mediaUrl: 'https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png'
},
{
type: 'IMAGE',
mediaUrl: 'https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png'
}
],
additionalMetaData: {callToActionType: 'LEARN_MORE', callToActionUrl: 'https://app.birdeye.com/'}
})
};
fetch('https://api.birdeye.com/resources/v1/social/{accountNumber}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 5557,
"message": "Requested Business Ids are empty."
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Social
Schedule Social Post
POST
/
v1
/
social
/
{accountNumber}
/
schedule
Schedule Social Post
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Id of the Account.
Body
application/json
Input text that will be added in the post. Limits of characters across various Social Sites
Google Business Profile: 1500
Facebook: 5000
Instagram: 5000
LinkedIn: 3000
Twitter: 240
The social site where the post will be made. Possible values are
INSTAGRAM,
FACEBOOK,
GOOGLEMYBUSINESS,
LINKEDIN,
- Error message: Input SocialSite does not match with any one of the SOCIAL SITE (TWITTER,FACEBOOK, GOOGLEMYBUSINESS,LINKEDIN,INSTAGRAM)
List of Location Ids. Optional for SMB.
A Unix timestamp in milliseconds that represents the date and time when the post should be scheduled. If not provided, the post will be published after 5 minutes of posting.
Media details.
Show child attributes
Show child attributes
Additional metadata for the post, including a call to action (CTA). Applicable only for GOOGLEMYBUSINESS.
Show child attributes
Show child attributes

